
package de.ivu.elect.presentation.ergebnis.table;

import java.util.List;

import javax.inject.Named;

import de.ivu.elect.business.ergebnis.entity.DHondtQuotientPolitischeGruppe;
import de.ivu.elect.jee.presentation.dynamictable.ColumnEntry;

@Named(DHondtQuotientPolitischeGruppeColumnBuilder.COMPONENT_NAME)
public class DHondtQuotientPolitischeGruppeColumnBuilder extends AbstractDHondtQuotientColumnBuilder<DHondtQuotientPolitischeGruppe> {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "dHondtQuotientPolitischeGruppeColumnBuilder";

  private DHondtQuotientPolitischeGruppeGruppeColumn dHondtQuotientPolitischeGruppeGruppeColumn;

  public DHondtQuotientPolitischeGruppeColumnBuilder() {
    super();
  }

  @Override
  protected void initColumns() {
    super.initColumns();

    dHondtQuotientPolitischeGruppeGruppeColumn = new DHondtQuotientPolitischeGruppeGruppeColumn(getMessages());
  }

  @Override
  protected void addTeilnehmerColumnEntriesSorted(List<ColumnEntry< ? super DHondtQuotientPolitischeGruppe>> result) {
    result.add(dHondtQuotientPolitischeGruppeGruppeColumn);
  }
}
